Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
Class ShellRunner

Field Summary
`boolean` | `breakOnNull`
`Closure` | `errorHandler`
`Logger` | `log`
`boolean` | `running`
`Shell` | `shell`

Constructor Summary
`ShellRunner(Shell shell)`

Method Summary
`String` | `readLine()`
`void` | `run()`
`boolean` | `work()`

Constructor Detail

### ShellRunner

    public ShellRunner(Shell shell)

Method Detail

### readLine

    String readLine()

### run

    void run()

### work

    boolean work()